%define tarname uconv
Summary: a code conversion library for UCS-4, UTF-16, UTF-8, EUC-JP and CP932
Name: ruby-uconv
Version: 0.4.10
Release: 3
License: undecided
Group: Applications/Ruby
Source: http://www.yoshidam.net/%{tarname}-%{version}.tar.gz
URL: http://www.yoshidam.net/Ruby.html#uconv
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby
%define make	%{?_make:%{_make}}%{?!_make:%{__make}}

%description
Ruby uconv module provides the methods to convert UTF-16, UTF-8 or UCS-4 into
EUC-JP or CP932, and EUC-JP or CP932 into UTF-16, UTF-8 or UCS-4. 

%prep
%setup -n %{tarname}

%build
ruby extconf.rb
make
ruby -i -pe 'sub(%r(^#!\s*/usr/local/bin/ruby), "#!/usr/bin/ruby")' samples/*.rb

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -print | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README*
%doc -P samples/

%changelog
* Fri Jan 17 2003 Ian Macdonald <ian@caliban.org> 0.4.10-1
- 0.4.10

* Tue May  7 2002 Ian Macdonald <ian@caliban.org>
- 0.4.9
